#! /bin/sh
# postrm script for x2gobroker-daemon
#
# see: dh_installdeb(1)
# summary of how this script can be called:
#        * <postrm> `remove'
#        * <postrm> `purge'
#        * <old-postrm> `upgrade' <new-version>
#        * <new-postrm> `failed-upgrade' <old-version>
#        * <new-postrm> `abort-install'
#        * <new-postrm> `abort-install' <old-version>
#        * <new-postrm> `abort-upgrade' <old-version>
#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
# for details, see /usr/share/doc/packaging-manual/

set -e

apacheconf_remove() {
		#
		# Apache2.4 (and Apache2.2 compatible) handling of apache*.conf files
		#
		CONF="x2gobroker-wsgi"
		COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)

		if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
			. /usr/share/apache2/apache2-maintscript-helper
			apache2_invoke disconf $CONF || exit $?
		elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
			[ ! -L /etc/apache2/conf.d/$CONF.conf ] || rm /etc/apache2/conf.d/$CONF.conf
		fi
}

case "$1" in
	purge)

		apacheconf_remove $@

		if [ ! -d /usr/share/doc/x2gobroker-agent ] && [ ! -d /usr/share/doc/x2gobroker-authservice ] && [ ! -d /usr/share/doc/x2gobroker-daemon ] && [ ! -d /usr/share/doc/x2gobroker-loadchecker ]; then
			if dpkg-statoverride --list /var/log/x2gobroker 1>/dev/null; then
				dpkg-statoverride --remove /var/log/x2gobroker
			fi
			rm -Rf /var/log/x2gobroker
		fi

		if [ ! -d /usr/share/doc/x2gobroker-agent ] && [ ! -d /usr/share/doc/x2gobroker-authservice ] && [ ! -d /usr/share/doc/x2gobroker-daemon ] && [ ! -d /usr/share/doc/x2gobroker-loadchecker ]; then
			# remove user/group x2gobroker from system (only if not in use by x2gobroker-agent, x2gobroker-authservice, x2gobroker-daemon, x2gobroker-loadchecker)
			getent passwd x2gobroker 1>/dev/null && deluser x2gobroker
			getent group x2gobroker 1>/dev/null && delgroup x2gobroker
			getent group x2gobroker 1>/dev/null && delgroup x2gobroker
			rm -Rf /var/lib/x2gobroker
		fi

		;;

	remove)
		apacheconf_remove $@
	;;

	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
	;;

	*)
		echo "postrm called with unknown argument \`$1'" 1>&2
		exit 0
	;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0
